Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface SelfDescribingResource

All Known Implementing Classes:
  ResourceBase

public interface SelfDescribingResource
extends Resource

The `SelfDescribingResource` class adds added query methods to the Resource class. It should be used for all new Resources.

Field Summary
`static int` | `LIST_FIELD_TYPE` Fields that are comma separated and are part of the inheritance hierarchy of Resources return `LIST_FIELD_TYPE` from `getFieldType()`.
`static int` | `NORMAL_FIELD_TYPE` `NORMAL_FIELD_TYPE` describes fields that are simply `String` values.
`static int` | `PATH_FIELD_TYPE` Fields that are slash separated and are part of the inheritance hierarchy of Resources return `PATH_FIELD_TYPE` from `getFieldType()`.
`static int` | `UNDEFINED_FIELD_TYPE` `UNDEFINED_FIELD_TYPE` is returned when no further information regarding this field is available.

Method Summary
`int` | `getFieldType(java.lang.String fieldName)` Describe `getFieldType` method here.
`int` | `getRepeatingFieldIndex()` `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed.
`int` | `getRepeatingFieldTerminatingIndex()` The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index.

Methods inherited from interface weblogic.security.spi.Resource
`equals, getID, getKeys, getParentResource, getType, getValues, hashCode, toString`

Field Detail

### UNDEFINED_FIELD_TYPE

    public static final int UNDEFINED_FIELD_TYPE

  `UNDEFINED_FIELD_TYPE` is returned when no further information regarding this field is available.

### NORMAL_FIELD_TYPE

    public static final int NORMAL_FIELD_TYPE

  `NORMAL_FIELD_TYPE` describes fields that are simply `String` values. They cannot be subdivided or parsed further.

### PATH_FIELD_TYPE

    public static final int PATH_FIELD_TYPE

  Fields that are slash separated and are part of the inheritance hierarchy of Resources return `PATH_FIELD_TYPE` from `getFieldType()`. An example of this type of field is be `path=/my/path/my/object`.

### LIST_FIELD_TYPE

    public static final int LIST_FIELD_TYPE

  Fields that are comma separated and are part of the inheritance hierarchy of Resources return `LIST_FIELD_TYPE` from `getFieldType()`. An example of this type of field is `path={my, path, my, object}`.

Method Detail

### getFieldType

    public int getFieldType(java.lang.String fieldName)

  Describe `getFieldType` method here.

  Parameters:
    `fieldName` - the `String` name of the field being queried.
  Returns:
    the `int` field type of `fieldName`

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed. For example, in the `URLResource`, the `httpMethod` is repeated as the hierarchy is walked. A value of `-1` indicates that there are no repeating fields.

  Returns:
    the index of the repeating fields or -1 if none

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index. After this field index the repetition is no longer applied.

  Returns:
    an `int` describing the terminating index or `getKeys().length` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference